import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;
import java.io.*;

public class Example34 extends JFrame  {

   public Example34() {

        Graph graph=new Graph();

        graph.setTitle(new String[]{"The JetChart Library","Target zones"});
        
	TargetZone tz=new TargetZone();
        double[] upperValues={100,95,110,90};
        double[] lowerValues={60,55,70,50};
        tz.setValues(upperValues,lowerValues);
        tz.setColor(Color.green);
	
        GraphSet graphSet=graph.getGraphSet(0);
        graphSet.addTargetZone(tz);
        
	Scale scale=graphSet.getScale();
        scale.setAutoScaleEnabled(false);
        scale.setMaxValue(150);
        scale.setIncrement(30);
	
        Grid grid=graphSet.getGrid();
        grid.setEnabled(true);
        grid.setColor(Color.decode("#999999"));
        grid.setStyle(Grid.DASHED);
	
        GridCrossedLines gc=graphSet.getGridCrossedLines();
        gc.setEnabled(true);
        gc.setColor(Color.decode("#999999"));
        gc.setStyle(GridCrossedLines.DASHED);
	
        LineSerie ls=new LineSerie(new double[]{74,50,90,100},"Line series");
        ls.setColor(Color.red);
        ls.setThickness(2);
	
        graph.addSerie(ls);
	
        Container ct=getContentPane();
        ct.add(graph);

        setSize(500,250);
        setVisible(true);
   }
    
    public static void main(String[] args) {
	new Example34();
    }
    
}


